Cyberduck Mountain Duck CLI

#8128 closed enhancement (fixed)

UDP Protocol Support

Reported by: aquarius212 Owned by: dkocher
Priority: low Milestone: 5.0
Component: core Version: 4.5.1
Severity: minor Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Hi,

Just wanted to request the ability to use tsunami-udp as a data transfer method. If you're unfamiliar, it's an ultra fast way of sending (generally huge) datasets.

Some background links for information:

Thanks much and realize this may be a bit too esoteric but would be fantastic to have a GUI for Tsunami!

Change History (12)

comment:1 Changed on Jul 29, 2014 at 10:30:04 AM by dkocher

  • Summary changed from Feature Request: tsunami-udp to Tsunami UDP Protocol Support

Unless there is an implementation in Java it is very unlikely we will implement this.

comment:3 Changed on Aug 10, 2014 at 8:54:38 PM by aquarius212

I hadn't seen that link before, thanks for sharing!

comment:4 Changed on Aug 26, 2014 at 6:49:56 PM by dkocher

  • Description modified (diff)

comment:5 Changed on Aug 26, 2014 at 6:50:43 PM by dkocher

What is the rationale you would like to see Tsunami implemented and not UDT?

comment:6 follow-up: Changed on Aug 26, 2014 at 8:28:09 PM by michael bishop

I'd be quite happy for either. Any improvement on the protocols available to move larger and larger data into and out of the cloud would be appreciated! Again realizing that this may be out of scope for CyberDuck but appreciate the ongoing consideration!

Cheers, Michael

comment:7 Changed on Sep 5, 2014 at 2:32:41 PM by dkocher

  • Summary changed from Tsunami UDP Protocol Support to UDP Protocol Support

comment:8 in reply to: ↑ 6 Changed on Sep 5, 2014 at 2:33:54 PM by dkocher

Replying to michael bishop:

I'd be quite happy for either. Any improvement on the protocols available to move larger and larger data into and out of the cloud would be appreciated! Again realizing that this may be out of scope for CyberDuck but appreciate the ongoing consideration!

Would the storage target be an Amazon S3 bucket? Can you possibly give some more insights in your setup and usage scenario?

comment:9 Changed on Sep 17, 2014 at 12:08:24 PM by dkocher

  • Milestone set to 5.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:10 Changed on Jan 29, 2015 at 1:43:02 PM by dkocher

Please write to feedback@… if you are ready to alpha test a UDT transfer solution to Amazon S3 we are working on.

comment:11 Changed on Jan 29, 2015 at 4:39:25 PM by dkocher

UDT proxy implementation in r16637.

comment:12 Changed on Feb 12, 2015 at 8:59:38 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software